org.apache.hadoop.yarn.server.nodemanager

## Class NMAuditLogger.AuditConstants

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.NMAuditLogger.AuditConstants

- Enclosing class:
    NMAuditLogger

      public static class NMAuditLogger.AuditConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FINISH_CONTAINER_REINIT`
    `static String` | `FINISH_FAILED_CONTAINER`
    `static String` | `FINISH_KILLED_CONTAINER`
    `static String` | `FINISH_SUCCESS_CONTAINER`
    `static String` | `START_CONTAINER`
    `static String` | `START_CONTAINER_REINIT`
    `static String` | `STOP_CONTAINER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### START_CONTAINER

          public static final String START_CONTAINER

      See Also:
        Constant Field Values

    - #### STOP_CONTAINER

          public static final String STOP_CONTAINER

      See Also:
        Constant Field Values

    - #### START_CONTAINER_REINIT

          public static final String START_CONTAINER_REINIT

      See Also:
        Constant Field Values

    - #### FINISH_CONTAINER_REINIT

          public static final String FINISH_CONTAINER_REINIT

      See Also:
        Constant Field Values

    - #### FINISH_SUCCESS_CONTAINER

          public static final String FINISH_SUCCESS_CONTAINER

      See Also:
        Constant Field Values

    - #### FINISH_FAILED_CONTAINER

          public static final String FINISH_FAILED_CONTAINER

      See Also:
        Constant Field Values

    - #### FINISH_KILLED_CONTAINER

          public static final String FINISH_KILLED_CONTAINER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuditConstants

          public AuditConstants()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.